<mamecheat version="1">

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@109522=03</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="run">
      <action>maincpu.pb@109504=08|(maincpu.pb@109504 BAND ~08)</action>
      <action>maincpu.pb@102C6B=5A</action>
    </script>
  </cheat>

  <cheat desc="Always have Speed Up">
    <script state="run">
      <action>maincpu.pb@109530=60</action>
    </script>
  </cheat>

  <cheat desc="Always have Max Speed Up">
    <script state="run">
      <action>maincpu.pb@109530=FF</action>
    </script>
  </cheat>

  <cheat desc="Never Slip">
    <script state="run">
      <action>maincpu.pb@109BEC=FF</action>
    </script>
  </cheat>

  <cheat desc="Always have Max Shot Up">
    <script state="run">
      <action>maincpu.pb@109D73=08</action>
    </script>
  </cheat>

  <cheat desc="Always have Penetration State Up">
    <script state="run">
      <action>maincpu.pb@109D79=14</action>
    </script>
  </cheat>

  <cheat desc="Always have Max Penetration State Up (Buggy)">
    <script state="run">
      <action>maincpu.pb@109D79=FF</action>
    </script>
  </cheat>

  <cheat desc="Always have Max Penetration Speed Up">
    <script state="run">
      <action>maincpu.pb@109D7C=FF</action>
    </script>
  </cheat>

  <cheat desc="Always have Penetration Shot Up">
    <script state="run">
      <action>maincpu.pb@102A7F=14</action>
    </script>
  </cheat>

  <cheat desc="Select Starting level"> <comment>Use on credit screen</comment>
    <parameter min="1" max="24" step="1"/>
    <script state="on">
      <action>maincpu.pb@10952F=01</action>
    </script>
    <script state="change">
      <action>maincpu.pb@10952F=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Select Starting level"> <comment>Including bonus levels</comment>
    <parameter min="1" max="37" step="1"/>
    <script state="on">
      <action>maincpu.pb@10952F=01</action>
    </script>
    <script state="change">
      <action>maincpu.pb@10952F=(param-1)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
